Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.transport.publickey.rsa
Class SshRsaPrivateKey

    java.lang.Object
      com.sshtools.j2ssh.transport.publickey.SshPrivateKey
          com.sshtools.j2ssh.transport.publickey.rsa.SshRsaPrivateKey

public class SshRsaPrivateKey
extends SshPrivateKey

DOCUMENT ME!

Constructor Summary
`SshRsaPrivateKey(byte[] encoded)` Creates a new SshRsaPrivateKey object.
`SshRsaPrivateKey(java.security.interfaces.RSAPrivateKey prv, java.security.interfaces.RSAPublicKey pub)` Creates a new SshRsaPrivateKey object.

Method Summary
`boolean` | `equals(java.lang.Object obj)` DOCUMENT ME!
`byte[]` | `generateSignature(byte[] data)` DOCUMENT ME!
`java.lang.String` | `getAlgorithmName()` DOCUMENT ME!
`int` | `getBitLength()` DOCUMENT ME!
`byte[]` | `getEncoded()` DOCUMENT ME!
`SshPublicKey` | `getPublicKey()` DOCUMENT ME!
`int` | `hashCode()` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SshRsaPrivateKey

    public SshRsaPrivateKey(java.security.interfaces.RSAPrivateKey prv,
                            java.security.interfaces.RSAPublicKey pub)

  Creates a new SshRsaPrivateKey object.

Parameters:
  `prv` - DOCUMENT ME!
  `pub` - DOCUMENT ME!

### SshRsaPrivateKey

    public SshRsaPrivateKey(byte[] encoded)
                     throws InvalidSshKeyException

  Creates a new SshRsaPrivateKey object.

Parameters:
  `encoded` - DOCUMENT ME!
Throws:
  `InvalidSshKeyException` - DOCUMENT ME!

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  DOCUMENT ME!

  Parameters:
    `obj` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### hashCode

    public int hashCode()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getAlgorithmName

    public java.lang.String getAlgorithmName()

  DOCUMENT ME!

  Specified by:
    `getAlgorithmName` in class `SshPrivateKey`
  Returns:
    DOCUMENT ME!

### getBitLength

    public int getBitLength()

  DOCUMENT ME!

  Specified by:
    `getBitLength` in class `SshPrivateKey`
  Returns:
    DOCUMENT ME!

### getEncoded

    public byte[] getEncoded()

  DOCUMENT ME!

  Specified by:
    `getEncoded` in class `SshPrivateKey`
  Returns:
    DOCUMENT ME!

### getPublicKey

    public SshPublicKey getPublicKey()

  DOCUMENT ME!

  Specified by:
    `getPublicKey` in class `SshPrivateKey`
  Returns:
    DOCUMENT ME!

### generateSignature

    public byte[] generateSignature(byte[] data)

  DOCUMENT ME!

  Specified by:
    `generateSignature` in class `SshPrivateKey`
  Parameters:
    `data` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD